package uam.bases.mybatis.operaciones;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

import uam.bases.mybatis.clases.ProyectoInvestigacion;

/**Clase relacionada con las operaciones de un Proyecto de Investigación**/

public class OperacionesProyectoInvestigacion {
	
	public void insertarProyectosInvestigacion(){
		
		String cadenaLeida = "";
		FileReader fr;
		
		try {
			fr = new FileReader("proyectos_investigacion.txt");
			BufferedReader archivoLectura = new BufferedReader(fr);
			

			System.out.println("Insertando los Proyectos de Investigación en la Base de Datos");
			cadenaLeida = archivoLectura.readLine();
			while (cadenaLeida != null) {
				ProyectoInvestigacion proyecto = new ProyectoInvestigacion();
				StringTokenizer st = new StringTokenizer(cadenaLeida, ",");
				
				proyecto.setNombre(st.nextToken());
				proyecto.setArea_id_area(Integer.parseInt(st.nextToken()));
				
				System.out.println(proyecto.toString());

				cadenaLeida = archivoLectura.readLine();
			}
			archivoLectura.close();
		} catch (FileNotFoundException e) {
			System.out.println("No se pudo encontrar el archivo");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("No se pudo leer del archivo");
			e.printStackTrace();
		}
		
	}

}
